### Method

# RB TrackTransferQueue start_batch

#### Declaration [src]

    void
    rb_track_transfer_queue_start_batch (
      RBTrackTransferQueue* queue,
      RBTrackTransferBatch* batch
    )

#### Description [src]

Adds a new transfer batch to the transfer queue; if the queue is currently empty, the transfer will start immediately, but not before the call returns.

#### Parameters

`batch`

  Type: `RBTrackTransferBatch`

  The `RBTrackTransferBatch` to add to the queue.

  The data is owned by the caller of the method.